Loading...
Searching...
No Matches
org.linphone.lime.LimePostToX3DH Interface Reference

Define an interface to communicate with the X3DH server. More...

## Public Member Functions

void | postToX3DHServer (long ptr, String url, String from, byte[] message)
| Function called by native code to post a message to the X3DH server.

## Detailed Description

Define an interface to communicate with the X3DH server.

## Member Function Documentation

## postToX3DHServer()

void org.linphone.lime.LimePostToX3DH.postToX3DHServer | ( | long | ptr,
|  | String | url,
|  | String | from,
|  | byte[] | message )

Function called by native code to post a message to the X3DH server.

Parameters

  [in] | ptr | a native object pointer (stored in java long), must be returned along the server response to process it
  [in] | url | the X3DH server's URL
  [in] | from | shall be included in the from field of HTTPS packet sent to the server(holds the local device Id of message sender)
  [in] | message | the binary content of the message to be sent

Note
  : To forward the server's response, call the LimeManager.process_response static method giving back the native object pointer

The documentation for this interface was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/java/org/linphone/lime/LimePostToX3DH.java